## Class Swift_Encoder_Base64Encoder

(line 19)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Encoder/Base64Encoder.php

##### Handles Base 64 Encoding in Swift Mailer.

- author: - Chris Corbyn

Classes extended from Swift_Encoder_Base64Encoder:

Swift_Mime_ContentEncoder_Base64ContentEncoder
  Handles Base 64 Transfer Encoding in Swift Mailer.

Swift_Mime_HeaderEncoder_Base64HeaderEncoder
  Handles Base64 (B) Header Encoding in Swift Mailer.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void charsetChanged ( $charset)
string encodeString (string $string, [int $firstLineOffset = 0], [ $maxLineLength = 0], int $maxLineLength,)

#### Method charsetChanged (line 59)

#### void charsetChanged( $charset)

Implementation of:

Swift_Mime_CharsetObserver::charsetChanged()
  Notify this observer that the entity's charset has changed.

##### Does nothing.

#### Parameters

- $charset:

#### Info

- access - public

#### Method encodeString (line 32)

#### string encodeString( string $string, [int $firstLineOffset = 0], [ $maxLineLength = 0], int $maxLineLength,)

Implementation of:

Swift_Encoder::encodeString()
  Encode a given string to produce an encoded string.

##### Takes an unencoded string and produces a Base64 encoded string from it.

Base64 encoded strings have a maximum line length of 76 characters. If the first line needs to be shorter, indicate the difference with $firstLineOffset.

#### Parameters

- string $string: to encode
- int $firstLineOffset:
- int $maxLineLength,: optional, 0 indicates the default of 76 bytes
- $maxLineLength:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:16 +0000 by phpDocumentor 1.4.3